%define upstream_name    XML-Compile-Tester
%define upstream_version 0.90

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Support XML::Compile related regression testing
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Log::Report) >= 0.170.0
BuildRequires: perl(Test::Deep) >= 0.95.0
BuildRequires: perl(Test::More) >= 0.540.0
BuildArch:  noarch

%description
The XML::Compile module suite has extensive regression testing. Probably,
you want to do regression testing as well. This module provide functions
which simplify writing tests for XML::Compile related distributions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.900.0-9pclos2017
- rebuild against updates

